Subject: Re: [PATCH net-next v14 13/13] selftests: add ncdevmem, netcat for devmem TCP

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jun 2024 15:08:22 -0700

On Tue, 25 Jun 2024 19:54:01 +0000 Mina Almasry wrote:
> +CFLAGS += -I../../../net/ynl/generated/
> +CFLAGS += -I../../../net/ynl/lib/
> +
> +LDLIBS += ../../../net/ynl/lib/ynl.a ../../../net/ynl/generated/protos.a

Not as easy as this.. Please add this commit to your series:
https://github.com/kuba-moo/linux/commit/c130e8cc7208be544ec4f6f3627f1d36875d8c47

And here's an example of how you then use ynl.mk to code gen and build
for desired families (note the ordering of variables vs includes,
I remember that part was quite inflexible..):
https://github.com/kuba-moo/linux/commit/5d357f97ccd0248ca6136c5e11ca3eadf5091bb3

Feel free to repost as soon as you got it fixed.
-- 
pw-bot: cr